Subject: Re: [PATCH net-next] bridge: implement multicast fast leave

From: Cong Wang <[email-masked]>
Date: Tue, 04 Dec 2012 15:04:52 +0800

On Tue, 2012-12-04 at 09:38 +0800, Herbert Xu wrote:
> On Mon, Dec 03, 2012 at 07:53:16AM -0800, Stephen Hemminger wrote:
> > On Mon,  3 Dec 2012 22:36:03 +0800
> > Cong Wang <[email-masked]> wrote:
> > 
> > > Fast leave allows bridge to immediately stops the multicast
> > > traffic on the port receives IGMP Leave when IGMP snooping is enabled,
> > > no timeouts are observed.
> > > 
> > > Cc: Herbert Xu <[email-masked]>
> > > Cc: Stephen Hemminger <[email-masked]>
> > > Cc: "David S. Miller" <[email-masked]>
> > > Signed-off-by: Cong Wang <[email-masked]>
> > 
> > I like the feature, and it looks like an oversight in the initial design.
> > Why is this not the default, adding more options obscures it.
> 
> If the port has a bridge on it then you're toast.  I think this
> should be a per-port option.

Per-port sounds better than per-bridge. And I will make it enabled by
default.

Thanks!